<mat-expansion-panel [expanded]="false" class="main-expansion" *ngIf="loading">
  <mat-expansion-panel-header class="title"> </mat-expansion-panel-header>
  <mat-card
    class="card mobileView"
    *ngFor="let job of jobs"
    (click)="itemClicked(job)"
  >
    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.projectname' | translate }}: </span>
      {{ job.projectId }}
    </div>
    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.jobtype' | translate }}: </span>
      {{ job.taskType }}
    </div>
    <div class="card-item">
      <span class="mobileViewHint"
        >{{ 'jobs.startingtime' | translate }}:
      </span>
      {{ job.times.start | date: 'short' }}
    </div>

    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.creator' | translate }}: </span>
      {{ job.requestor }}
    </div>
    <div class="card-item">
      <div class="action-container">
        <span class="mobileViewHint">{{ 'jobs.action' | translate }}: </span>
        <!-- TODO add abort action-->
      </div>
    </div>
  </mat-card>

  <table
    mat-table
    [dataSource]="jobs"
    class="mat-elevation-z0"
    *ngIf="jobs.length"
  >
    <ng-container matColumnDef="projectName">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.projectname' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">{{ job.projectId }}</td>
    </ng-container>

    <ng-container matColumnDef="jobType">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.jobtype' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">{{ job.taskType }}</td>
    </ng-container>

    <ng-container matColumnDef="startingTime">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.startingtime' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">
        {{ job.times.start | date: 'short' }}
      </td>
    </ng-container>

    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef>{{ 'jobs.action' | translate }}</th>
      <td mat-cell *matCellDef="let job">
        {{ job.times.start | date: 'short' }}
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr
      mat-row
      *matRowDef="let row; columns: displayedColumns"
      class="table-row"
      (click)="itemClicked(row)"
    ></tr>
  </table>
</mat-expansion-panel>
